{% extends 'baseNavBar.html' %}
{% load static %}
    
{% block css %}
    <link rel="stylesheet" type="text/css" href="{% static 'mainContact.css' %}">
{% endblock css%}

{% block title %}
    Contact Us
{% endblock title %}

{% block page%}
    <center>
        <br/><br/>
        <h1 class ="text">Contact Us</h1>
    </center>
    <div id='contact'>
        <form method='POST'>

            {% csrf_token %} {{ form_contact.non_field_errors }}

            <div>
                <p>{{form_contact.name.label}} </p>
                <div>{{form_contact.name}}</div>
                {{form_contact.name.errors }}
            </div>

            <div>
                <p>{{form_contact.email.label}} </p>
                <div>{{form_contact.email}}</div>
                {{form_contact.email.errors}}
            </div>

            <div>
                <p>{{form_contact.location.label}} </p>
                <div>{{form_contact.location}}</div>
                {{form_contact.location.errors}}
            </div>

            <div>
                <p>{{form_contact.about.label}} </p>
                <div>{{form_contact.about}}</div>
                {{form_contact.about.errors}}
            </div>

            <div>
                <p>{{form_contact.message.label}} </p>
                <div>{{form_contact.message}}</div>
                {{form_contact.message.errors}}
            </div>
            <br/>

            <button type="submit" class="btn btn-warning " style="float: right;">SEND</button>

        </form>
    </div>
    <br/>
    <br/>

{% endblock page%}

{% comment %} <!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="{% static 'mainContact.css' %}">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>

<body>
    <center>
        <br/><br/>
        <h1>Contact Us</h1>
    </center>
    <div id='contact'>
        <form method='POST'>

            {% csrf_token %} {{ form_contact.non_field_errors }}

            <div>
                <p>{{form_contact.name.label}} </p>
                <div>{{form_contact.name}}</div>
                {{form_contact.name.errors }}
            </div>

            <div>
                <p>{{form_contact.email.label}} </p>
                <div>{{form_contact.email}}</div>
                {{form_contact.email.errors}}
            </div>

            <div>
                <p>{{form_contact.location.label}} </p>
                <div>{{form_contact.location}}</div>
                {{form_contact.location.errors}}
            </div>

            <div>
                <p>{{form_contact.about.label}} </p>
                <div>{{form_contact.about}}</div>
                {{form_contact.about.errors}}
            </div>

            <div>
                <p>{{form_contact.message.label}} </p>
                <div>{{form_contact.message}}</div>
                {{form_contact.message.errors}}
            </div>
            <br/>

            <button type="submit" class="btn btn-warning " style="float: right;">SEND</button>

        </form>
    </div>


    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

</body>

</html> {% endcomment %}